Reenable GHC 7.4.2 on Travis CI
authorLennart Kolmodin <kolmodin@gmail.com>
Sun, 1 May 2016 09:07:47 +0000 (11:07 +0200)
committerLennart Kolmodin <kolmodin@gmail.com>
Sun, 1 May 2016 09:07:47 +0000 (11:07 +0200)
The dependency problem should have been fixed now.
See haskell/tar#15.

.travis.yml
binary.cabal

index d3483af..2866756 100644 (file)
@@ -6,6 +6,8 @@ sudo: false
 
 matrix:
   include:
+    - env: CABALVER=1.18 GHCVER=7.4.2
+      addons: {apt: {packages: [cabal-install-1.18,ghc-7.4.2], sources: [hvr-ghc]}}
     - env: CABALVER=1.18 GHCVER=7.6.3
       addons: {apt: {packages: [cabal-install-1.18,ghc-7.6.3], sources: [hvr-ghc]}}
     - env: CABALVER=1.18 GHCVER=7.8.4
index 00916b8..e7ca8a4 100644 (file)
@@ -18,7 +18,7 @@ category:        Data, Parsing
 stability:       provisional
 build-type:      Simple
 cabal-version:   >= 1.8
-tested-with:     GHC == 7.6.3, GHC == 7.8.4, GHC == 7.10.3
+tested-with:     GHC == 7.4.2, GHC == 7.6.3, GHC == 7.8.4, GHC == 7.10.3
 extra-source-files:
   README.md changelog.md docs/hcar/binary-Lb.tex tools/derive/*.hs